# mongoc_stream_socket_new()

## Synopsis

    mongoc_stream_t *
    mongoc_stream_socket_new (mongoc_socket_t *socket);

## Parameters

- `socket`: A mongoc_socket_t.

Creates a new mongoc_stream_socket_t using the mongoc_socket_t provided.

Warning

This function transfers ownership of `socket` to the newly allocated stream.

## Returns

A newly allocated mongoc_stream_socket_t that should be freed with mongoc_stream_destroy() when no longer in use.